Recommendations - Get Action Schema
Get action schema.
Gets the schema for an action.
GET https://api.powerplatform.com/analytics/advisorRecommendations/{scenario}/actionmetadata/{actionName}?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
action
|
path | True |
string |
The name of the action. |
|
scenario
|
path | True |
string |
The recommendation name. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
object |
Success |
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
|
| 429 Too Many Requests |
Too Many Requests |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |